<?php
class GridMargenVentaAction extends wtActions
{
    public function execute()
    {
        $this->Excel = $this->getRequestParameter( 'excel' );
        if( $this->Excel )
        {
            header( 'Content-Type: application/vnd.ms-excel' );
            header( 'Content-Disposition: attachment;filename="Reporte_Margen_Ventas_'.date( "Ymd" ).'.xls"' );
            header( 'Cache-Control: max-age=0' );
        }
        //LayoutTemplate::getInstance()->setUseBootstrap();

        $s_FechaDocumento1  = $this->getRequestParameter( "FechaDocumento1" );
        $s_FechaDocumento2  = $this->getRequestParameter( "FechaDocumento2" );
        $s_CodVendedorOrden = $this->getRequestParameter( "VendedorOrden" );

        $o_VTA_DocumentoFN = new VTA_DocumentoFN();
        //$o_VTA_DocumentoFN->setDebug(1);
        $o_VTA_DocumentoFN->addCondition( VTA_DocumentoFN::Estado, "=", "CE" );
        $o_VTA_DocumentoFN->addCondition( VTA_DocumentoFN::FechaDocumento, ">=", $s_FechaDocumento1." 00:00:00" );
        if( $s_FechaDocumento2 )
        {
            $o_VTA_DocumentoFN->addCondition( VTA_DocumentoFN::FechaDocumento, "<=", $s_FechaDocumento2." 23:59:59" );
        }
        if( $s_CodVendedorOrden )
        {
            $o_VTA_DocumentoFN->addCondition( VTA_DocumentoFN::Vendedor, "=", $s_CodVendedorOrden );
        }

        $this->a_VTA_Documento = $o_VTA_DocumentoFN->select();
        //pr( count( $this->a_VTA_Documento ) );

        $this->a_Data = $o_VTA_DocumentoFN->selectTotales();
        //pr( $this->a_Data );

        ViewResponse::getInstance()->setMethodAjax();

    }
}
